> For the complete documentation index, see [llms.txt](https://docs.tasksource.io/api-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tasksource.io/api-documentation/user/new-authentication-trigger.md).

# NEW Authentication Trigger

### Input parameters

* Only whne user is new!!!!

### How to call from app

```
automatically
```

### Logic (Assign tasks that belong to his email adress)

1. SEND first EMAIL:&#x20;
   1. to\_email\_adress = auth.user.email
   2. template\_name = "welcome-new-user->user"
   3. data = none
2. SEND first EMAIL:&#x20;
   1. to\_email\_adress = "<info@tasksource.io>
   2. template\_name = "welcome-new-user->us"
   3. data = none
3. query assigned where assignToEmail == auth.user.email
4. If one found call Assign task function with parameters:
   1. Email-Adress of Assigned member
   2. TaskID


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tasksource.io/api-documentation/user/new-authentication-trigger.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
